module FlashFreeze_Filter (
input control_user_clock, clock,
output clock_to_user_logic);

wire stop_stage_one, stop_stage_two, clock_to_user_logic_temp;

DFN1  Register_For_Clock_Gating (.CLK(clock), 
.D(control_user_clock),  .Q(stop_stage_one) );

DLN0    Latch_For_Clock_Gating  (.G(clock), .D(stop_stage_one),
.Q(stop_stage_two) );

AND2    Gate_For_Clock_Gating   (.A(stop_stage_two), .B(clock), 
.Y(clock_to_user_logic_temp) );

CLKINT Gate_For_Clock_Gating_Clkint ( .A(clock_to_user_logic_temp), 
.Y(clock_to_user_logic));

endmodule
